package net.northking.cctp.device.dto.device;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class CdMobileDeviceScriptDto2 {

    @ApiModelProperty("设备品牌")
    private String brandNameCn;

    @ApiModelProperty("设备名称")
    private String productName;

    @ApiModelProperty("操作系统(0-Android 1-IOS 2-HarmonyOS)")
    private List<String> platform;

    @ApiModelProperty("设备状态")
    private String deviceStatus;

    @ApiModelProperty("使用状态(1-空闲 2-使用中)")
    private List<String> usageStatus;

    @ApiModelProperty("租户名称")
    private String tenantId;

    @ApiModelProperty("系统id")
    private List<String> proIds;

    @ApiModelProperty("设备归属(0-所有 1-公有 2-私有)")
    private List<String> tenantCheck;

    @ApiModelProperty("设备集合")
    private List<String> deviceList;

    private String proNull;

    private String proCheck;

    private DeviceSelectQueryDto deviceSelectQueryDto;

    public DeviceSelectQueryDto getDeviceSelectQueryDto() {
        return deviceSelectQueryDto;
    }

    public void setDeviceSelectQueryDto(DeviceSelectQueryDto deviceSelectQueryDto) {
        this.deviceSelectQueryDto = deviceSelectQueryDto;
    }

    public String getDeviceStatus() {
        return deviceStatus;
    }

    public void setDeviceStatus(String deviceStatus) {
        this.deviceStatus = deviceStatus;
    }

    public List<String> getProIds() {
        return proIds;
    }

    public void setProIds(List<String> proIds) {
        this.proIds = proIds;
    }

    public List<String> getDeviceList() {
        return deviceList;
    }

    public void setDeviceList(List<String> deviceList) {
        this.deviceList = deviceList;
    }

    public String getProNull() {
        return proNull;
    }

    public void setProNull(String proNull) {
        this.proNull = proNull;
    }

    public String getProCheck() {
        return proCheck;
    }

    public void setProCheck(String proCheck) {
        this.proCheck = proCheck;
    }

    public String getBrandNameCn() {
        return brandNameCn;
    }

    public void setBrandNameCn(String brandNameCn) {
        this.brandNameCn = brandNameCn;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public List<String> getPlatform() {
        return platform;
    }

    public void setPlatform(List<String> platform) {
        this.platform = platform;
    }

    public List<String> getUsageStatus() {
        return usageStatus;
    }

    public void setUsageStatus(List<String> usageStatus) {
        this.usageStatus = usageStatus;
    }

    public List<String> getTenantCheck() {
        return tenantCheck;
    }

    public void setTenantCheck(List<String> tenantCheck) {
        this.tenantCheck = tenantCheck;
    }
}
